using System;
using System.Collections.Generic;

namespace FasdDesktopUi.Basics.Services.SupportCase
{
    internal class SupportCaseProcessorFactory
    {
        private readonly static Dictionary<Guid, SupportCaseProcessor> _supportCaseProccesors = new Dictionary<Guid, SupportCaseProcessor>();

        internal static SupportCaseProcessor Get(Guid id)
        {
            if (!_supportCaseProccesors.ContainsKey(id))
                _supportCaseProccesors.Add(id, new SupportCaseProcessor());

            return _supportCaseProccesors[id];
        }
    }
}
